[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Samba install problem



On Tue, 2006-05-30 at 19:58 +0100, Freedom Web Services wrote:
> > Freedom Web Services wrote:
> >> Although dhcp is allocating ip addresses ok I can not access the
> >> server using its name 'linux'.  I assume this is due to samba not
> >> running.
> >
> > A more general network problem may well be the first cause of your
> > problems.
> >
> >> I need to install samba as the system says it is not installed when
> >> I use 'rpm -q smb', so I downloaded 'samba-common-3.0.22.1.fc5.rpm'.
> >> When I go to install it with 'rpm -ivh samba-common-3.0.22.1.fc5.rpm
> >> I get loads of confiction errors.
> >
> > It's much preferable to use yum these days.  There's no need to
> > download the rpm or deal with dependencies manually.
> >
> >> I have also tried to use the 'Add / Remove software' and 'Software
> >> Updater' from the 'Applications' menu and get an 'Unable to retrive
> >> software infomation' error.  When I try to use yum with the command
> >> 'yum install samba-common-3.0.22.1.fc5.rpm' I get an 'Error: Cannot
> >> find a baseurl for repo: core'.
> >
> > This looks like you have a more general networking problem on the
> > system.  Have you tried to run 'yum update' yet?  I'm guessing you'll
> > get a similar error about the core repo.  If so, you should check
> > first that your network is working correctly.  If it is, then you'll
> > need to look into the reason yum is not working.
> >
> > Once yum is working you should be able to run 'yum install samba' (or
> > Add / Remove Software) to get it installed.
> 
> My Linux machine is not yet connected to the internet!

That's why 'Add / Remove software' and 'Software Updater' from the
'Applications' menu aren't working. They use yum as the backend and
that's configured out of the box to get packages from the Internet.

For a way of using yum and 'Add / Remove software' using the ISO images
used to install the system instead of network repositories, see:
http://www.city-fan.org/tips/YumRepoFromImages

> I have a BT Voyager 100 ADSL USB modem and connect through AOL on my windoze 
> box.
> I have installed the drivers for this modem, eciadsl, and configured it for 
> my modem and AOL but I can not get it to work.
> I have looked on the net and found that I need a module called n_hdlc in 
> order to get this to work, the standard FC5 does not have this module.

It's in the 2.6.16-1.2122_FC5 kernel though. Try downloading and
installing that update. Much easier than recompiling the kernel
yourself.

Paul.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]